
#include "h.h"
#include "hw.h"
#include "par.h"
#include "ui.h"
#include "proceso.h"

#pragma code general
void main(void)
{
int n;
HWReset();        //inicializa variables del sistema
IOReset();
//INTReset();       //habilita las interrupciones
RS232Reset();
EEPROMReset();
ADCReset();
LCDReset();
PWMReset();
LCD44780Reset();
PARReset();       //incializa variables globales desde ROM Y EEPROM
UIReset();        //inicializa memoria de pantalla
PROCESOReset();   //incializa variables de la maniobra
PWMEnable();
while(1)
  {
  PARLoop();      //(vacio)verifica la coherencia de datos
  HWLoop();       //pooling de registros,...
  LCDDisplay();   //no necesario si LCD fisico
  PROCESOLoop();  //maquina de estados por vuelta de programa
  UIRead();       //eventos entrada interfaz usuario
  UIWrite();      //refresca pantalla
  }
PROCESOStop();
HWStop();         //lleva a reposo los recursos hardware
}

